// disable annoying non-standard tags
pref("browser.blink_allowed", false);
pref("browser.display.enable_marquee", false);

// let mozilla pick appropriate memory cache size automatically
pref("browser.cache.memory.capacity", null);
pref("browser.cache.memory.enable", true);

// disable image resizing and smooth scroll, they aren't quite there yet 
pref("browser.enable_automatic_image_resizing", false);
pref("general.smoothScroll", false);

// disable keyword search, it gives surprising results when trying to contact a
// server which is down, and we have much better smart bookmarks anyway ;)
pref("keyword.enabled", false);

// Text Zoom with Ctrl+Wheel
// http://bugzilla.gnome.org/show_bug.cgi?id=117626
pref("mousewheel.withcontrolkey.action", 3);

// History with Alt+Wheel, scroll by page with Shift+Wheel
pref("mousewheel.withaltkey.action", 2);
pref("mousewheel.withshiftkey.action", 1);

// disallow opening file:/// URLs on pages from network sources (http, etc.)
pref("security.checkloaduri", true);

// enable syntax highlighting and line wrapping in View Source
pref("view_source.syntax_highlight", true);
pref("view_source.wrap_long_lines", true);

// disable forms manager while we have no UI
pref("wallet.captureForms", false);

//===========================================================================
// You should not change the rest of the preferences below.

// disable sidebar What's Related, we don't use it
pref("browser.related.enabled", false);

// play nice with sloppy focus
pref("mozilla.widget.raise-on-setfocus", false);

// don't allow xpi installs from Galeon, there are crashes
pref("xpinstall.enabled", false);

// disable sucky XUL ftp view, have nice ns4-like html page instead
pref("network.dir.generate_html", true);

// set the right accept encoding flags
pref("network.http.accept-encoding", "gzip, deflate, compress;q=0.9");

// deactivate mailcap support, it breaks Gnome-based helper apps
pref("helpers.global_mailcap_file", "");
pref("helpers.private_mailcap_file", "");

// use the mozilla defaults for mime.types files to let mozilla guess proper
// Content-Type for file uploads instead of always falling back to
// application/octet-stream
pref("helpers.global_mime_types_file", null);
pref("helpers.private_mime_types_file", null);

